DIRNAME(1)

NAME
dirname - return directory portion of pathname

SYNOPSIS
dirname pathname

DESCRIPTION
dirname deletes the filename portion, beginning with the last slash (‘/’) character to the end of pathname, and writes the result to the standard output.

EXIT STATUS

EXAMPLES
The following line sets the shell variable FOO to /usr/bin:

    FOO=`dirname /usr/bin/tail`

SEE ALSO
basename(1), csh(1), sh(1), dirname(3)

STANDARDS
The dirname utility is compliant with the p1003.1-2008 specification.